<div class="sidebar" data-color="danger" data-background-color="white">
    <app-sidebar-cmp></app-sidebar-cmp>
    <div class="sidebar-background"></div>
</div>

<div class="main-panel">
    <app-navbar-cmp></app-navbar-cmp>
    <div class="main-content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-11">
                    <div class="card">
                        <div class="card-header card-header-muted card-header-icon">
                            <div class="card-icon">
                                <i class="material-icons">face</i>
                            </div>
                            <h4 class="card-title">Usuario</h4>

                        </div>

                        <div class="card-body">
                            <form (ngSubmit)="save()" #form="ngForm">
                                <div class="togglebutton fadeIn">

                                </div>

                                <h4>Datos</h4>
                                <div class="row">
                                    <div class="col-md-3">
                                        <mat-form-field class="example-full-width">
                                            <input matInput placeholder="Nombre" [(ngModel)]="users.name" name="name" required>

                                        </mat-form-field>
                                    </div>
                                    <div class="col-md-3">
                                        <mat-form-field class="example-full-width">
                                            <input matInput placeholder="Apellido" [(ngModel)]="users.lastName" name="lastName" required>

                                        </mat-form-field>

                                    </div>
                                    <div class="col-md-3">
                                        <mat-form-field class="example-full-width">
                                            <input matInput placeholder="Usuario" [(ngModel)]="users.user" name="user" required>

                                        </mat-form-field>
                                    </div>
                                </div>
                                <br>
                                <div class="row">
                                    <div class="col-md-3">

                                        <mat-form-field>
                                            <mat-select placeholder="Clínica" [(ngModel)]="users.clinic" name="clinic">
                                                <mat-option [value]="i" *ngFor="let i of clinics">
                                                    {{i}}
                                                </mat-option>


                                            </mat-select>
                                        </mat-form-field>

                                    </div>
                                    <div class="col-md-3">
                                        <mat-form-field>
                                            <mat-select placeholder="Tipo" [(ngModel)]="users.type" name="type">
                                                <mat-option [value]="i" *ngFor="let i of types">
                                                    {{i}}
                                                </mat-option>


                                            </mat-select>
                                        </mat-form-field>


                                    </div>
                                    <div claas="col-md-3">
                                        <mat-form-field class="example-full-width">
                                            <input matInput placeholder="Correo" name="email" [(ngModel)]="users.email" required>

                                        </mat-form-field>
                                    </div>


                                </div>
                                <br>
                                <div class="row">
                                    <div class="col-md-3">
                                        <mat-form-field class="example-full-width">
                                            <input matInput placeholder="Contraseña" type="password" [(ngModel)]="users.password" name="password" required>

                                        </mat-form-field>
                                    </div>
                                    <div class="col-md-3">
                                        <mat-form-field class="example-full-width">
                                            <input matInput placeholder="Confirmar Contraseña" type="password" name="password" required>

                                        </mat-form-field>
                                    </div>

                                </div>

                                <div class="card-footer">
                                    <div class="row">
                                        <button type="submit" class="btn  btn-muted " [disabled]="!form.valid">Guardar</button>

                                        <button [routerLink]="['/Users']" class="btn btn">Regresar</button>
                                    </div>

                                </div>

                            </form>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>

</div>